net.i2p.router.startup

## Class LoadRouterInfoJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.startup.LoadRouterInfoJob

- All Implemented Interfaces:
    Job

      class LoadRouterInfoJob
      extends JobImpl

  Run once or twice at startup by StartupJob, and then runs BootCommSystemJob

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LoadRouterInfoJob.KeyData` Key data container for router information.

  - ### Field Summary

    - ### Fields inherited from class net.i2p.router.JobImpl

      `_id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadRouterInfoJob(RouterContext ctx)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Descriptive name of the task
    `static LoadRouterInfoJob.KeyData` | `readKeyData(File rkf1, File rkf2)`
    `void` | `runJob()` Actually perform the task.

    - ### Methods inherited from class net.i2p.router.JobImpl

      `dropped, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadRouterInfoJob

          public LoadRouterInfoJob(RouterContext ctx)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Job`
      Descriptive name of the task
      Returns:
        the descriptive name of the task

    - #### readKeyData

          public static LoadRouterInfoJob.KeyData readKeyData(File rkf1,
                                                              File rkf2)
                                                       throws DataFormatException,
                                                              IOException

      Parameters:
        `rkf1` - in router.keys format, tried second
        `rkf2` - in eepPriv.dat format, tried first
      Returns:
        non-null, throws IOE if neither exisits
      Throws:
        `DataFormatException`
        `IOException`

    - #### runJob

          public void runJob()

      Description copied from interface: `Job`
      Actually perform the task. This call blocks until the Job is complete.